### Function

# Gio Icon deserialize

since: 2.38

#### Declaration

    GIcon*
    g_icon_deserialize (
      GVariant* value
    )

#### Description

Deserializes a `GIcon` previously serialized using g_icon_serialize().

Available since: 2.38

#### Parameters

`value`

  Type: `GVariant`

  A `GVariant` created with g_icon_serialize().

  The data is owned by the caller of the function.

#### Return value

Type: `GIcon`

A `GIcon`, or `NULL` when deserialization fails.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.